Bug 145809 - Xsetup_0 has presumably obsolete code in its config files
Summary: Xsetup_0 has presumably obsolete code in its config files
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xinitrc (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact:
URL:
Whiteboard:
Keywords: EasyFix, Triaged
Depends On:
Blocks: FC4Target
TreeView+ depends on / blocked
 
Reported: 2005-01-21 20:13 UTC by Bill Nottingham
Modified: 2014-03-17 02:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-15 12:30:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Nottingham 2005-01-21 20:13:27 UTC
/etc/X11/xdm/Xsetup_0 has:


  # only set the background if the xsri program is installed
  if [ -x /usr/bin/xsri -a -r /etc/X11/xsrirc ]; then
      /usr/bin/xsri --redhat-login --set
  fi

a) we don't ship /etc/X11/xsrirc
b) our xsri doesn't support --redhat-login, whatever that's supposed
to do.

Comment 1 Owen Taylor 2005-01-21 20:51:54 UTC
--redhat-login was a popt macro defined by /etc/X11/xsrirc

I don't remember what packcage /etc/X11/xsrirc was in, but
xsri hasn't been changed in forever, so presumably not from
there. Might have been in redhat-logos?


Comment 2 Mike A. Harris 2005-01-31 23:48:47 UTC
[X Devel team comment]

Discussion summary:  We've discussed this, and have decided to remove
the xsri code from Xsetup_0 for Fedora Core 4.

Status:  Targetted for FC4Target.  Reassigning to myself.

Comment 3 Mike A. Harris 2005-03-15 12:30:56 UTC
Disabled in CVS, will be in next build of xinitrc.


Note You need to log in before you can comment on or make changes to this bug.